Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Lists script templates available in your organization.
cURL
curl --request GET \ --url https://api.beyondwords.io/v1/summarization_settings_templates \ --header 'X-Api-Key: <api-key>'
import requests url = "https://api.beyondwords.io/v1/summarization_settings_templates" headers = {"X-Api-Key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}}; fetch('https://api.beyondwords.io/v1/summarization_settings_templates', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.beyondwords.io/v1/summarization_settings_templates", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "X-Api-Key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.beyondwords.io/v1/summarization_settings_templates" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Api-Key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.beyondwords.io/v1/summarization_settings_templates") .header("X-Api-Key", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.beyondwords.io/v1/summarization_settings_templates") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Api-Key"] = '<api-key>' response = http.request(request) puts response.read_body
[ { "id": 1, "name": "Test template 1", "slug": "test_template_1", "prompt": "Prompt example", "temperature": 1, "limit_token_usage": 500, "created": "2023-01-01 00:00:00 UTC", "updated": "2023-01-01 00:00:05 UTC" }, { "id": 2, "name": "Test template 2", "slug": "test_template_2", "prompt": "Prompt example", "temperature": 1, "limit_token_usage": 500, "created": "2023-02-01 00:00:00 UTC", "updated": "2023-02-01 00:00:05 UTC" } ]
{ "code": 401, "message": "Unauthorized" }
'limit' sets the number of results to return in each page.
'offset' sets the first position to return from the results of the query. The default is 0, which starts the page at the first result.
OK
Unique identifier for the object
gpt-5-nano
gpt-5-mini
gpt-5
gpt-5.1
Custom prompt for AI summarization generation
3000
Controls randomness in AI summarization (0.0 = deterministic, 2.0 = very random)
0 <= x <= 2
Maximum number of tokens to use for AI summarization
1 <= x <= 500
Was this page helpful?